@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:wght@400;700&display=swap');

.mp-main-menu-container {
	position: relative;
	z-index: 1;
	box-shadow: 0px 30px 60px rgba(0, 0, 0, 0.081321);
	background: #fff;
}

.mp-main-menu__wrapp {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
}

.mp-main-menu-container .mp-wrapp {
	padding-left: 24px;
	padding-right: 24px;
	margin: 0 auto;
	max-width: 1320px;
	box-sizing: border-box;
	width: 100%;
}

.mp-main-menu__logo {flex: none;}

.mp-main-menu__inner {
	order: 1;
	flex: none;
	width: 100%;
	box-sizing: border-box;
}

.mp-main-menu__services-link, .mp-main-menu__btn--login, .mp-main-menu__link-order  {
	display: none;
}

.mp-main-menu__nav {
	padding: 16px 24px;
	margin: 0 -24px;
	overflow: auto;
}

.mp-main-menu__nav-top-in {
	padding: 0;
	margin: 0;
	list-style: none;
	display: flex;
	text-transform: uppercase;
	font-weight: 500;
	font-size: 11px;
	line-height: 1.45;
}

.mp-main-menu__nav-top-in li {
	flex: none;
	padding-right: 18px;
}

.mp-main-menu__nav-top-in a {
	text-decoration: none;
	color: #909090;
}

.mp-main-menu__nav-top-in a:hover, .mp-main-menu__nav-top-in a.active {color: #000;}

.mp-main-menu__wrapp {padding-top: 16px;}

.mp-main-menu__btn--burger {
	width: 40px;
	height: 40px;
	border: none;
	outline: none;
	background: #F8F8F8;
	border-radius: 50%;
	padding: 12px;
}

.mp-main-menu__btn--burger svg {
	width: 16px;
	height: 16px;
}


/* Нижняя часть */


.mp-main-menu__bot {
	border-top: 1px solid #E3E3E3;
}

.mp-main-menu__bot-in {
	display: flex;
	align-items: center;
	justify-content: space-between;
	overflow: auto;
}

.mp-main-menu__bot-in::-webkit-scrollbar, .mp-main-menu__nav::-webkit-scrollbar {
	display: none;
}

.mp-main-menu__nav-in {
	display: flex;
	padding: 0;
	margin: 0;
	list-style: none;
	font-size: 13px;
	line-height: 1.23;
	letter-spacing: -0.1px;
	font-weight: bold;
	color: #333333;
}

.mp-main-menu__nav-in li {
	flex: none;
	padding-right: 22px;
	position: relative;
}

.mp-main-menu__nav-in li:before {
	position: absolute;
	background: #E3E3E3;
	border-radius: 0.5px;
	content: '';
	width: 1px;
	height: 16px;
	right: 0px;
	top: 50%;
	transform: translateY(-50%);
	display: none;
}

.mp-main-menu__nav-in li a {
	color: inherit;
	text-decoration: none;
	display: block;
	padding: 15px 0 16px;
	position: relative;
}

.mp-main-menu__nav-in li a:before {
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	height: 2px;
	content: '';
	display: block;
	background: #2DBF60;
	opacity: 0;
	transition: opacity 0.15s;
}

.mp-main-menu__nav-in li a.active:before, .mp-main-menu__nav-in li a:hover:before {
	opacity: 1;
}

.mp-main-menu__call {
	display: none;
	flex-direction: column;
	align-items: flex-end;
	align-self: center;
	margin-left: 24px;
}

.mp-main-menu__phone {
	font-family: "Roboto";
	font-style: normal;
	font-weight: 900;
	font-size: 18px;
	line-height: 20px;
	color: #282828;
	text-decoration: none;
}

.mp-main-menu__callback {
	font-size: 14px;
	line-height: 16px;
	letter-spacing: -0.1px;
	color: #909090;
	border-bottom: 1px dotted currentColor;
	margin-top: 3px;
}



/* Панель */

.mp-m-menu {
	position: fixed;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	-webkit-transform: translate(100%);
	transform: translate(100%);
	-webkit-transition: background .3s linear,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91) .3s;
	transition: background .3s linear,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91) .3s;
	transition: transform .5s cubic-bezier(.31,.33,.18,.91) .3s,background .3s linear;
	transition: transform .5s cubic-bezier(.31,.33,.18,.91) .3s,background .3s linear,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91) .3s;
	z-index: 43;
}

.mp-m-menu._opened {
    -webkit-transform: translate(0);
    transform: translate(0);
    background: rgba(0,0,0,.5);
    -webkit-transition: background .3s linear .5s,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91);
    transition: background .3s linear .5s,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91);
    transition: transform .5s cubic-bezier(.31,.33,.18,.91),background .3s linear .5s;
    transition: transform .5s cubic-bezier(.31,.33,.18,.91),background .3s linear .5s,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91);
    overflow: auto;
}

.mp-m-menu__wrap {
	background: #fff;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	overflow: auto;
	width: 296px;
	box-sizing: border-box;
	box-shadow: 0 2px 23px rgba(0,0,0,.5);
	padding: 72px 33px 28px 31px;
}

.mp-m-aside-close {
    position: absolute;
    border-radius: 50%;
    right: 18px;
    border: none;
    outline: 0;
    top: 16px;
    width: 40px;
    height: 40px;
    background: #F8F8F8;
    right: 24px;
    box-sizing: border-box;
    padding: 12px;
}

.mp-m-aside-close svg {
    width: 16px;
    height: 16px;
}

.mp-m-aside-menu__btn {
    display: block;
    background: #F8F8F8;
    border-radius: 24px;
    font-family: "Fira Sans";
    font-style: normal;
    font-weight: bold;
    font-size: 15px;
    line-height: 24px;
    text-decoration: none;
    color: #333333;
    padding: 12px;
    text-align: center;
    margin-bottom: 16px;
}

.mp-m-aside-menu__btn._call {
    margin-bottom: 32px;
    background: #2DBF60;
    box-shadow: 0px 8px 12px rgba(45, 191, 96, 0.102628);
    border-radius: 28px;
    font-size: 15px;
    line-height: 24px;
    padding: 16px;
    color: #fff;
}

.mp-m-nav-aside {
    padding: 0;
    margin: 0;
    list-style: none;
    font-family: Fira Sans;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    text-transform: uppercase;
    color: #909090;
}

.mp-m-nav-aside > li._active ul {
    display: block;
}

.mp-m-nav-aside > li._active {
    color: #333;
}

.mp-m-nav-aside > li._active ._icon {
    transform: rotate(180deg);
}

.mp-m-nav-aside > li > a {
    color: inherit;
    text-decoration: none;
    display: flex;
    align-items: center;
    padding: 12px 0;
    border-bottom: 1px solid #D8D8D8;
    justify-content: space-between;
}

.mp-m-nav-aside > li > a ._icon {
    flex: none;
    margin-left: 16px;
    width: 24px;
    height: 24px;
    transition: transform 0.015s;
}

.mp-m-nav-aside > li ul {
    padding: 16px 0;
    margin: 0;
    list-style: none;
    display: none;
}

.mp-m-nav-aside > li ul li {
    padding: 8px 0;
}

.mp-m-nav-aside > li ul li a {
    color: inherit;
    text-decoration: none;
    display: inline-block;
    padding-left: 18px;
    border-left: 2px solid transparent;
}

.mp-m-nav-aside > li ul li a:hover {
    border-color: #2DBF60;
}


@media all and (min-width: 600px) {
	.mp-main-menu-container .mp-wrapp {
		max-width: 1320px;
	}
	
	.mp-main-menu__nav-in {
		font-size: 15px;
		line-height: 1.6;
		letter-spacing: -0.1px;
	}
	
	.mp-main-menu__nav-in li {
		padding: 0 18px;
	}
	.mp-main-menu__nav-in li:first-child {
		padding-left: 0;
	}
	
	.mp-main-menu__nav-in li:last-child {
		padding-right: 0;
	}
	
	.mp-main-menu__nav-in li a {
		padding: 20px 0;
	}
	
	.mp-main-menu__nav-in li:before {
		display: block;
	}
	
	.mp-main-menu__nav-in li:last-child:before {
		display: none;
	}
	
	.mp-main-menu__nav {padding-top: 24px;}
	
	.mp-main-menu__nav-top-in {
		font-size: 13px;
		line-height: 1.23;
	}
	
	.mp-main-menu__wrapp {padding-top: 24px;}
	
	.mp-main-menu__btn--burger {
		width: 48px;
		height: 48px;
	}
	
	.mp-main-menu__btn--burger svg {
		width: 24px;
		height: 24px;
	}
	
	.mp-m-menu__wrap {
	    padding-top: 96px;
	}
	
	.mp-m-aside-close {
	    width: 48px;
	    height: 48px;
	    top: 24px;
	    right: 24px;
	}
	
	.mp-m-aside-close svg {
		width: 24px;
		height: 24px;
	}
}

@media all and (min-width: 1200px) {
	.mp-main-menu__bot-in {
		overflow: visible;
	}
	
	.mp-main-menu__nav-in {
		font-size: 16px;
		line-height: 1.5;
	}
	
	.mp-main-menu__call {
		display: flex;
	}
	
	.mp-main-menu__inner {
		order: 0;
		width: auto;
		flex: 1 0 1%;
		display: flex;
	}
	
	.mp-main-menu__nav {
		flex: 1 0 1%;
	}
	
	.mp-main-menu__nav {
		padding: 0;
		margin: 0;
		align-self: center;
	}
	
	.mp-main-menu__wrapp {
		padding-top: 16px;
		padding-bottom: 16px;
	}
	
	.mp-main-menu__btn--burger {
		display: none;
	}
	
	.mp-main-menu__link-order {
		display: block;
		font-weight: bold;
		font-size: 16px;
		line-height: 1.5;
		text-decoration: none;
		letter-spacing: -0.1px;
		color: #0369D9;
		background-image: url("data:image/svg+xml,%3Csvg width='13' height='10' viewBox='0 0 13 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M7.4 9.80006C6.95817 9.46869 6.86863 8.84189 7.2 8.40006L9 6.00006H1C0.447715 6.00006 0 5.55234 0 5.00006C0 4.44777 0.447715 4.00006 1 4.00006H9L7.2 1.60006C6.86863 1.15823 6.95817 0.53143 7.4 0.200059C7.84183 -0.131312 8.46863 -0.0417689 8.8 0.400059L11.7939 4.39197C11.7983 4.39772 11.8027 4.40353 11.807 4.40938L12.25 5.00006L11.807 5.59074C11.8027 5.59659 11.7983 5.60239 11.7939 5.60815L8.8 9.60006C8.46863 10.0419 7.84183 10.1314 7.4 9.80006Z' fill='%230369D9'/%3E%3C/svg%3E%0A");
		background-repeat: no-repeat;
		background-position: center right 0px;
		padding-right: 29px;
		margin-left: 24px;
	}
	
	.mp-main-menu__link-order:hover {
		color: #2DBF60;
		background-image: url("data:image/svg+xml,%3Csvg width='13' height='10' viewBox='0 0 13 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M7.4 9.80006C6.95817 9.46869 6.86863 8.84189 7.2 8.40006L9 6.00006H1C0.447715 6.00006 0 5.55234 0 5.00006C0 4.44777 0.447715 4.00006 1 4.00006H9L7.2 1.60006C6.86863 1.15823 6.95817 0.53143 7.4 0.200059C7.84183 -0.131312 8.46863 -0.0417689 8.8 0.400059L11.7939 4.39197C11.7983 4.39772 11.8027 4.40353 11.807 4.40938L12.25 5.00006L11.807 5.59074C11.8027 5.59659 11.7983 5.60239 11.7939 5.60815L8.8 9.60006C8.46863 10.0419 7.84183 10.1314 7.4 9.80006Z' fill='%232DBF60'/%3E%3C/svg%3E%0A");

	}
	
	.mp-main-menu__btn--login, .mp-main-menu__services-search-icon {
		display: block;
		width: 48px;
		height: 48px;
		background: #F8F8F8;
		padding: 12px;
		box-sizing: border-box;
		cursor: pointer;
		transition: background 0.15s;
		border-radius: 50%;
		border: none;
	}
	
	.mp-main-menu__btn--login:hover, .mp-main-menu__services-search-icon:hover {
		background: #eaeaea;
	}
	
	.mp-main-menu__btn--login svg, .mp-main-menu__services-search-icon svg {
		fill: #333;
		width: 24px;
		height: 24px;
	}
	
	.mp-main-menu__services-link {
		display: block;
		margin-right: 8px;
		position: relative;
	}
	
	.mp-main-menu__logo {
		margin-right: 33px;
	}
	
	form.mp-services__search {
	    position: absolute;
	    top: 0;
	    right: 0;
	    bottom: 0;
	    width: 0;
	    opacity: 0;
	    box-shadow: 0 0 0 1px #D3D3D3;
	    box-sizing: border-box;
	    border-radius: 24px;
	    overflow: hidden;
	    display: flex;
	    align-items: center;
	    transition: 0.3s;
	}
	
	._opened form.mp-services__search {
	    width: 240px;
	    opacity: 1;
	}
	
	.mp-services__search-input-field {
		border: none;
		padding: 0 10px 0 16px;
		box-sizing: border-box;
		width: 192px;
		outline: none;
	}
	
	.mp-m-menu {
		transition: none;
	}
	
	.mp-m-menu._opened {
		position: fixed;
		top: 0;
		bottom: 0;
		right: 0;
		left: 0;
		-webkit-transform: translate(100%);
		transform: translate(100%);
		-webkit-transition: background .3s linear,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91) .3s;
		transition: background .3s linear,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91) .3s;
		transition: transform .5s cubic-bezier(.31,.33,.18,.91) .3s,background .3s linear;
		transition: transform .5s cubic-bezier(.31,.33,.18,.91) .3s,background .3s linear,-webkit-transform .5s cubic-bezier(.31,.33,.18,.91) .3s;
		z-index: 43;
	}
}